/*
 e-Gizmo Compact Proximity-Collision sensor
 
 Detects objects as far as 72mm(2.8 inches) from the sensor.
 Applications includes non contact object detection and
 collision sensor for mobile robots.
 
 Compact Proximity active HIGH logic output
 (logic goes HIGH when an object is detected).
 
 Reads a digital input on pin 2, prints the result 
 to the serial monitor.
 
 This example code is in the public domain.
 
 by e-Gizmo Mechatronix Central 2015
 http://www.e-gizmo.com
 July 10, 2015
 */


int sensorpin = 2;


void setup() {

  Serial.begin(9600);

  pinMode(sensorpin, INPUT_PULLUP);
}


void loop() {
  
  int sensorOutput = digitalRead(sensorpin);
 
  Serial.println(sensorOutput);
  delay(1); 
}



